# Piwik TapatalkReport Plugin

## Track Ads Request & Display
Add `adsrequest=1` in the page view tracking event if requested the Ads.
Add `adsdisplay=1` in the page view tracking event if Ads displayed.
Here is a JS example:
>\<script type="text/javascript">
  var _paq = _paq || [];
  _paq.push(['setCustomRequestProcessing', function (request) {return request + '&adsrequest=1&adsdisplay=1';}]);
  _paq.push(['trackPageView']);
  _paq.push(['enableLinkTracking']);
  (function() {
    var u="//localhost/piwik/piwik/";
    _paq.push(['setTrackerUrl', u+'piwik.php']);
    _paq.push(['setSiteId', '1']);
    var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
    g.type='text/javascript'; g.async=true; g.defer=true; g.src=u+'piwik.js'; s.parentNode.insertBefore(g,s);
  })();
\</script>



## Request site Ads Request
Use `index.php?module=API&method=TapatalkReport.getAdsRecords` to request Ads request count.

* You can choose the response format of your API request by appending a parameter `&format=JSON|XML|CSV|`
* You should create a user who has permission to access the site in ACP and get `token_auth` from DB. (Do **NOT** trust the official document)
* You must add `idSite`, case sensitive.
* `period` should be `day`, `week`, `month`, `year` and `range`. 
* Also add `date` to filter data with `period`

Here is an example:
Request:
>http://localhost/piwik/piwik/index.php?module=API&method=TapatalkReport.getAdsRecords&format=JSON&token_auth=11780d4324d7224fda7d997ded3ac95d&idSite=1&period=range&date=2017-06-16,2017-06-19

Response:
>{
  "TapatalkReport_adsrequest": 3,
  "TapatalkReport_adsdisplay": 5
}

